## org.apache.fop.pdf
Class PDFGoTo

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFAction
                  |
                  +--org.apache.fop.pdf.PDFGoTo

public class PDFGoTo
extends PDFAction

class representing a /GoTo object.

Field Summary
`protected java.lang.String` `pageReference` the pageReference
`protected float` `xPosition`
`protected float` `yPosition`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFGoTo(int number, java.lang.String pageReference)` create a /GoTo object.

Method Summary
`java.lang.String` `getAction()` represent the action to call this method should be implemented to return the action which gets called by the Link Object.
`void` `setPageReference(java.lang.String pageReference)` Sets page reference after object has been created
`void` `setXPosition(int xPosition)` Sets the x Position to jump to
`void` `setYPosition(int yPosition)` Sets the Y position to jump to
`byte[]` `toPDF()` represent the object in PDF

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageReference

    protected java.lang.String pageReference

  the pageReference

### xPosition

    protected float xPosition

### yPosition

    protected float yPosition

Constructor Detail

### PDFGoTo

    public PDFGoTo(int number,
                   java.lang.String pageReference)

  create a /GoTo object.
  Parameters:
    `number` - the object's number
    `pageReference` - the pageReference represented by this object

Method Detail

### setPageReference

    public void setPageReference(java.lang.String pageReference)

  Sets page reference after object has been created
  Parameters:
    `pageReference` - the new page reference to use

### setYPosition

    public void setYPosition(int yPosition)

  Sets the Y position to jump to
  Parameters:
    `yPosition` - y position

### setXPosition

    public void setXPosition(int xPosition)

  Sets the x Position to jump to
  Parameters:
    `xPosition` - x position

### getAction

    public java.lang.String getAction()

  Description copied from class: PDFAction
  represent the action to call this method should be implemented to return the action which gets called by the Link Object. This could be a reference to another object or the specific destination of the link
  Overrides:
    getAction in class PDFAction
  Tags copied from class: PDFAction
  Returns:
    the action to place next to /A within a Link

### toPDF

    public byte[] toPDF()

  represent the object in PDF
  Overrides:
    toPDF in class PDFAction
  Returns:
    the PDF string

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.